NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::BlendPocketBuilder Class Reference

Represents a NXOpen::Features::BlendPocket builder for Blend Pocket feature. More...

Inheritance diagram for NXOpen::Features::BlendPocketBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AngledWallSolutions {
  AngledWallSolutionsUnknown, AngledWallSolutionsSwarfCutWall, AngledWallSolutionsCutFloorAndSwarfCutWall, AngledWallSolutionsCutFloor,
  AngledWallSolutionsSwarfCutWallAndFloor
}
 Represents the solution which defines how the End Mill is positioned with the angled walls. More...
 
enum  ToolTypes { ToolTypesUnknown, ToolTypesEndMill, ToolTypesTCutter, ToolTypesSphericalMill }
 Represents the tool type which defines how the angled walls are cut. More...
 

Public Member Functions

NXOpen::Features::BlendPocketBuilder::AngledWallSolutions AngledWallSolution ()
 Returns the angled wall solution defines how the End Mill is positioned with angled walls. More...
 
bool AutoInferWall ()
 Returns the flag indicates whether infer the wall faces automatically. More...
 
NXOpen::ExpressionCornerClearance ()
 Returns the corner clearance defines the radius that the tool turns around at the concave wall corners. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter defines the diameter of End Mill or Shperical Mill. More...
 
NXOpen::ScCollectorFloorFaces ()
 Returns the collector of floor faces. More...
 
NXOpen::ExpressionFluteLength ()
 Returns the flute length defines the length of the flute of T Cutter. More...
 
NXOpen::ExpressionLowerRadius ()
 Returns the lower radius defines the radius of blend on the bottom of End Mill or T Cutter. More...
 
NXOpen::ExpressionNeckDiameter ()
 Returns the neck diameter defines the diameter of the neck of T Cutter. More...
 
void SetAngledWallSolution (NXOpen::Features::BlendPocketBuilder::AngledWallSolutions angledWallSolution)
 Sets the angled wall solution defines how the End Mill is positioned with angled walls. More...
 
void SetAutoInferWall (bool autoInferWall)
 Sets the flag indicates whether infer the wall faces automatically. More...
 
void SetFloorFaces (NXOpen::ScCollector *floorFaces)
 Sets the collector of floor faces. More...
 
void SetToolType (NXOpen::Features::BlendPocketBuilder::ToolTypes toolType)
 Sets the tool type defines how the angled walls are cut. More...
 
void SetWallFaces (NXOpen::ScCollector *wallFaces)
 Sets the collector of wall faces. More...
 
NXOpen::Features::BlendPocketBuilder::ToolTypes ToolType ()
 Returns the tool type defines how the angled walls are cut. More...
 
NXOpen::ExpressionUpperRadius ()
 Returns the upper radius defines the radius of blend on the upper part of T Cutter. More...
 
NXOpen::ScCollectorWallFaces ()
 Returns the collector of wall faces. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::BlendPocket builder for Blend Pocket feature.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateBlendPocketBuilder
Default values.

Property Value

AngledWallSolution

CutFloorAndSwarfCutWall

AutoInferWall

true

CornerClearance.Value

0 (millimeters part), 0 (inches part)

Diameter.Value

25.0 (millimeters part), 1.0 (inches part)

FluteLength.Value

10.0 (millimeters part), 0.38 (inches part)

LowerRadius.Value

5.0 (millimeters part), 0.25 (inches part)

NeckDiameter.Value

25.0 (millimeters part), 1.0 (inches part)

ToolType

EndMill

UpperRadius.Value

5.0 (millimeters part), 0.25 (inches part)


Created in NX9.0.0.

Member Enumeration Documentation

Represents the solution which defines how the End Mill is positioned with the angled walls.

Enumerator
AngledWallSolutionsUnknown 

Unknown End Mill solution.

AngledWallSolutionsSwarfCutWall 

One pass End Mill.

The tool is following the angled wall and not perpendicular to the pocket floor.

AngledWallSolutionsCutFloorAndSwarfCutWall 

Two pass End Mill.

During first pass you keep the tool perpendicular to the pocket floor and during second pass you follow the angled wall.

AngledWallSolutionsCutFloor 

One pass End Mill.

The tool is perpendicular to the pocket floor and not follow the angled wall.

AngledWallSolutionsSwarfCutWallAndFloor 

Two pass End Mill.

During first pass you follow the angled wall and during second pass you rotate the tool to follow the floor.

Represents the tool type which defines how the angled walls are cut.

Enumerator
ToolTypesUnknown 

unknown.

ToolTypesEndMill 

End Mill.

ToolTypesTCutter 

T Cutter.

ToolTypesSphericalMill 

Spherical Mill.

Member Function Documentation

NXOpen::Features::BlendPocketBuilder::AngledWallSolutions NXOpen::Features::BlendPocketBuilder::AngledWallSolution ( )

Returns the angled wall solution defines how the End Mill is positioned with angled walls.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::BlendPocketBuilder::AutoInferWall ( )

Returns the flag indicates whether infer the wall faces automatically.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::CornerClearance ( )

Returns the corner clearance defines the radius that the tool turns around at the concave wall corners.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::Diameter ( )

Returns the diameter defines the diameter of End Mill or Shperical Mill.


Created in NX9.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::BlendPocketBuilder::FloorFaces ( )

Returns the collector of floor faces.

It can be a single face, or multiple faces
Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::FluteLength ( )

Returns the flute length defines the length of the flute of T Cutter.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::LowerRadius ( )

Returns the lower radius defines the radius of blend on the bottom of End Mill or T Cutter.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::NeckDiameter ( )

Returns the neck diameter defines the diameter of the neck of T Cutter.


Created in NX9.0.0.

License requirements : None

void NXOpen::Features::BlendPocketBuilder::SetAngledWallSolution ( NXOpen::Features::BlendPocketBuilder::AngledWallSolutions  angledWallSolution)

Sets the angled wall solution defines how the End Mill is positioned with angled walls.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
angledWallSolutionangled wall solution
void NXOpen::Features::BlendPocketBuilder::SetAutoInferWall ( bool  autoInferWall)

Sets the flag indicates whether infer the wall faces automatically.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
autoInferWallauto infer wall
void NXOpen::Features::BlendPocketBuilder::SetFloorFaces ( NXOpen::ScCollector floorFaces)

Sets the collector of floor faces.

It can be a single face, or multiple faces
Created in NX9.0.0.

License requirements : None

Parameters
floorFacesfloor faces
void NXOpen::Features::BlendPocketBuilder::SetToolType ( NXOpen::Features::BlendPocketBuilder::ToolTypes  toolType)

Sets the tool type defines how the angled walls are cut.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
toolTypetool type
void NXOpen::Features::BlendPocketBuilder::SetWallFaces ( NXOpen::ScCollector wallFaces)

Sets the collector of wall faces.

It can be a single face, or multiple faces
Created in NX9.0.0.

License requirements : None

Parameters
wallFaceswall faces
NXOpen::Features::BlendPocketBuilder::ToolTypes NXOpen::Features::BlendPocketBuilder::ToolType ( )

Returns the tool type defines how the angled walls are cut.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::UpperRadius ( )

Returns the upper radius defines the radius of blend on the upper part of T Cutter.


Created in NX9.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::BlendPocketBuilder::WallFaces ( )

Returns the collector of wall faces.

It can be a single face, or multiple faces
Created in NX9.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.